Get numbering sequence
GET/sites/:siteId/numberingSequences/:attributeKey
Returns the numbering sequence configured for an attribute key
Request
Path Parameters
Site Identifier
Attribute Key
Responses
- 200
- 404
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
numberingSequence
object
required
Attribute key where generated values are stored
Number format using supported tokens such as {YEAR} and {SEQUENCE}
CONTRACT-{YEAR}-{SEQUENCE}First sequence number allocated for a new period
Possible values: >= 1
1Minimum width of the generated sequence number, padded with leading zeroes
Possible values: >= 1
5Frequency at which the sequence restarts at startAt
Possible values: [NONE, YEARLY]
IANA timezone used to determine the active period; defaults to UTC
UTCAmerica/WinnipegActive sequence period, or null if no number has been allocated
2026Most recently allocated sequence number, or null if none has been allocated
2Most recently generated attribute value, or null if none has been allocated
CONTRACT-2026-00002{
"numberingSequence": {
"attributeKey": "string",
"pattern": "CONTRACT-{YEAR}-{SEQUENCE}",
"startAt": 1,
"padding": 5,
"reset": "NONE",
"timezone": "America/Winnipeg",
"currentPeriod": "2026",
"currentSequence": 2,
"lastValue": "CONTRACT-2026-00002"
}
}
Numbering sequence not found
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
errors
object[]
List of errors
Error Key
Error Message
{
"errors": [
{
"key": "string",
"error": "string"
}
]
}